package cc.fascinated.bat.features;

import cc.fascinated.bat.service.CommandService;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@RequiredArgsConstructor
@Getter
@Component
public abstract class Feature {
    @Autowired
    private CommandService commandService;

    /**
     * The name of the feature
     */
    private final String name;
}
